/*****************************************************************************/
/* Copyright (C) 2003-2012, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/*                                                                           */
/*  This file is part of the JRS MPEG-7 Library.                             */
/*  http://mpeg-7.joanneum.at                                                */
/*                                                                           */
/*  JRS MPEG-7 Library is free software: you can redistribute it and/or      */
/*  modify it under the terms of the GNU Lesser General Public License       */
/*  (LGPL) as published by the Free Software Foundation, either version 3    */
/*  of the License, or (at your option) any later version.                   */
/*                                                                           */
/*  JRS MPEG-7 Library is distributed in the hope that it will be useful,    */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of           */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the             */
/*  GNU Lesser General Public License for more details.                      */
/*                                                                           */
/*  You should have received a copy of the GNU Lesser General Public License */
/*  along with this library. If not, see <http://www.gnu.org/licenses/>.     */
/*****************************************************************************/



#ifndef MP7JRS_TYPES_H_INCLUDED
#define MP7JRS_TYPES_H_INCLUDED

// smart pointer type definitions for hand coded classes
// baw 11 08 2003

class Mp7JrsArchive;
typedef Mp7JrsPtr<Mp7JrsArchive> Mp7JrsArchivePtr;

class Mp7JrsClientManager;
typedef Mp7JrsPtr<Mp7JrsClientManager> Mp7JrsClientManagerPtr;

class Mp7JrsDocument;
typedef Mp7JrsPtr<Mp7JrsDocument> Mp7JrsClientDocumentPtr;

class Mp7JrsNode;
typedef Mp7JrsPtr<Mp7JrsNode> Mp7JrsNodePtr;

class Mp7JrsNodeLockNotification;
typedef Mp7JrsPtr<Mp7JrsNodeLockNotification> Mp7JrsNodeLockNotificationPtr;

class Mp7JrsNodeUpdateNotification;
typedef Mp7JrsPtr<Mp7JrsNodeUpdateNotification> Mp7JrsNodeUpdateNotificationPtr;
class Mp7JrsNotification;
typedef Mp7JrsPtr<Mp7JrsNotification> Mp7JrsNotificationPtr;

class Mp7JrsNotificationListener;
typedef Mp7JrsPtr<Mp7JrsNotificationListener> Mp7JrsNotificationListenerPtr;

class Mp7JrsUnknown;
typedef Mp7JrsPtr<Mp7JrsUnknown> Mp7JrsUnknownPtr;

#endif /* MP7JRS_TYPES_H_INCLUDED */
